Bug 1319516 - The default browser on LXDE is broken
Summary: The default browser on LXDE is broken
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: LiveCD - LXDE
Version: 24
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Christoph Wickert
QA Contact:
URL:
Whiteboard: AcceptedFreezeException https://fedor...
Keywords: CommonBugs
Depends On: 1306144
Blocks: F24AlphaFreezeException
TreeView+ depends on / blocked
 
Reported: 2016-03-20 20:34 UTC by Giulio 'juliuxpigface'
Modified: 2017-08-08 14:00 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-08-08 14:00:17 UTC


Attachments (Terms of Use)

Description Giulio 'juliuxpigface' 2016-03-20 20:34:20 UTC
Description of problem:
Midori is the default browser of the LXDE Spin. However, it currently crashes, due to bug https://bugzilla.redhat.com/show_bug.cgi?id=1306144.

Since the listed bug isn't easily fixable, XFCE folks decided to switch from Midori to Firefox.

Version-Release number of selected component (if applicable):
Fedora-LXDE-Live-x86_64-24_Alpha-6.iso

How reproducible:
Always

Steps to Reproduce:
1.Try to launch the browser on a LXDE session.

Actual results:
1.The default browser is Midori, which crashes.

Expected results:
1.The default browser should be changed.

Comment 1 Giulio 'juliuxpigface' 2016-03-20 20:39:32 UTC
The bug related to Midori, violates the "2.4.8 Required applications" Alpha criteria.

"It must be possible to run the default web browser and a terminal application from all release-blocking desktop environments."


Since LXDE is not a release-blocking desktop, I'm proposing this as Freeze Exception, in order to, at least, have it listed as "CommonBug".

Link: https://fedoraproject.org/wiki/Fedora_24_Alpha_Release_Criteria#Required_applications

Comment 2 Adam Williamson 2016-03-21 17:06:28 UTC
Giulio: as a process note, you don't need to nominate something as an FE to have it documented on CommonBugs. Just add the CommonBugs keyword.

Comment 3 Kamil Páral 2016-03-21 17:09:53 UTC
Discussed at today's blocker review meeting [1]. Voted as  AcceptedFreezeException - this is a major issue which cannot be fixed with an update for LXDE lives, so it's accepted as a freeze exception issue, so long as any changes needed to address it are limited in scope to the LXDE packages

[1] https://meetbot-raw.fedoraproject.org/fedora-blocker-review/2016-03-21

Comment 4 Fedora End Of Life 2017-07-25 20:22:23 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 5 Fedora End Of Life 2017-08-08 14:00:17 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.